MacOS libtool and GNU libtool: Recommended way for coexistence?

Ces VLC cesarillovlc at gmail.com
Thu Apr 30 07:56:21 UTC 2020


Hi!

Today I got lots of errors when building one of my projects, about
"-static" not being supported by libtool... then I realized that the reason
is that such project was developed with the MacOS libtool in mind, and by
installing GNU's libtool (because of it being required by CUnit), the GNU
version takes higher precedence over the MacOS version, and then it breaks
the build for my project.

So... can you give some advice on how to manage the coexistence of both
libtools?

Thanks a lot!

C├ęsar
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macports.org/pipermail/macports-users/attachments/20200430/02c04668/attachment.html>


More information about the macports-users mailing list